Show / Hide Table of Contents

# Class Tag<T>

##### Inheritance

System.Object
Tag<T>

##### Implements

ITag

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Tag<T> : ITag

##### Type Parameters

Name | Description
--- | ---
T |

### Properties

| Improve this Doc View Source

#### Index

##### Declaration

    public int Index { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Key

##### Declaration

    public ulong Key { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Length

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public TagType Type { get; }

##### Property Value

Type | Description
--- | ---
TagType |

| Improve this Doc View Source

#### Value

##### Declaration

    public T Value { get; }

##### Property Value

Type | Description
--- | ---
T |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Explicit Interface Implementations

| Improve this Doc View Source

#### ITag.Value

##### Declaration

    object ITag.Value { get; }

##### Returns

Type | Description
--- | ---
System.Object |

### Implements

ITag